extends KinematicBody2D

# 表示するメッセージ
export var message:String

# メッセージ表示時間
var message_timer = 0.0

onready var label = $Label

func _process(delta: float) -> void:
	# メッセージ表示の更新
	if message_timer > 0:
		message_timer -= delta
		if message_timer <= 0:
			# 一定時間経過でメッセージを消す
			label.text = ""

# インタラクト開始
func _on_interact() -> void:
	label.text = message
	message_timer = 3.0 # 3秒間メッセージを表示する
